## class Fl_RGB_Image

### Class Hierarchy

    Fl_Image
       |
       +----Fl_RGB_Image
               |
               +----Fl_JPEG_Image,
                    Fl_PNG_Image,
                    Fl_PNM_Image

### Include Files

    #include <FL/Fl_RGB_Image.H>

### Description

The `Fl_RGB_Image` class supports caching and drawing of full-color images with 1 to 4 channels of color information. Images with an even number of channels are assumed to contain alpha information, which is used to blend the image with the contents of the screen.

### Methods

- Fl_RGB_Image
- ~Fl_RGB_Image

#### Fl_RGB_Image::Fl_RGB_Image(const unsigned char *array, int W, int H, int D = 3, int LD = 0);

The constructor creates a new image from the specified data.

#### Fl_RGB_Image::~Fl_RGB_Image();

The destructor free all memory and server resources that are used by the image.